Bug 115155 - Delete only versions without label
Delete only versions without label
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Localhistory
6.x
All All
: P2 (vote)
: 7.1
Assigned To: issues@versioncontrol
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 13:36 UTC by novakm
Modified: 2011-05-21 08:50 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description novakm 2007-09-10 13:36:23 UTC
It would be nice if there was an option to delete only versions without label after those x days in options. And the
user should be able to force that "version clean" action whenever he wants. 

Use case: I believe some people (at least me :) save a lot and after one day of edits there is huge number of revisions.
Whenever the program is in some state I consider important, I label that version so I know which version it was. If
there was described mechanism, it would make navigating between previous versions very easy. I am aware that using some
VCS would solve it, but localhistory is integrated and more people who don't work on their own projects would gladly use
it if it had some additional features like this one.
Comment 1 Tomas Stupka 2011-05-20 09:34:25 UTC
fixed
http://hg.netbeans.org/core-main/rev/56bafd9092e4
Comment 2 Quality Engineering 2011-05-21 08:50:33 UTC
Integrated into 'main-golden', will be available in build *201105210400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/56bafd9092e4
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #115155 - Delete only versions without label


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo